declare const ButtonHTMLTypes: ["submit", "button", "reset"];
export declare type ButtonHTMLType = typeof ButtonHTMLTypes[number];
declare const _default: import("vue").DefineComponent<{
    type: import("vue-types").VueTypeDef<"text" | "default" | "primary" | "outline" | "dashed"> & {
        default: "text" | "default" | "primary" | "outline" | "dashed";
    };
    theme: import("vue-types").VueTypeDef<"warning" | "default" | "danger" | "success">;
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    shape: import("vue-types").VueTypeDef<"circle" | "square" | "round">;
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    htmlType: import("vue-types").VueTypeDef<"button" | "submit" | "reset"> & {
        default: "button" | "submit" | "reset";
    };
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    block: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
    }>;
    attrs: {
        [x: string]: unknown;
    };
    htmlType: "button" | "submit" | "reset";
    loading: boolean;
    handleClick: (event: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "click"[], "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    type: import("vue-types").VueTypeDef<"text" | "default" | "primary" | "outline" | "dashed"> & {
        default: "text" | "default" | "primary" | "outline" | "dashed";
    };
    theme: import("vue-types").VueTypeDef<"warning" | "default" | "danger" | "success">;
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    shape: import("vue-types").VueTypeDef<"circle" | "square" | "round">;
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    htmlType: import("vue-types").VueTypeDef<"button" | "submit" | "reset"> & {
        default: "button" | "submit" | "reset";
    };
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    block: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
}, {
    size: "small" | "middle" | "large";
    type: "text" | "default" | "primary" | "outline" | "dashed";
    disabled: boolean;
    htmlType: "button" | "submit" | "reset";
    loading: boolean;
    block: boolean;
}>;
export default _default;
