import { PropType } from 'vue';
import { VueNode } from '../_utils/types';
import { DisplayValueType, Key, RawValueType } from './selectProps';
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    children: PropType<VueNode[]>;
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultValue: import("vue-types").VueTypeValidableDef<any>;
    value: {
        type: PropType<import("./selectProps").SelectValue>;
    };
    options: {
        type: PropType<import("./selectProps").DefaultOptionType[]>;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    fieldNames: {
        type: PropType<import("./selectProps").FieldNames>;
    };
    dropdownMatchSelectWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    dropdownZindex: {
        type: NumberConstructor;
        default: number;
    };
    dropdownVisible: import("vue-types").VueTypeValidableDef<boolean>;
    dropdownClasses: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined>;
    hideOnOtherArea: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    hideOnSelect: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    getPopupContainer: {
        type: PropType<(...args: any) => any>;
    };
    maxTagCount: import("vue-types").VueTypeDef<string | number | null | undefined>;
    onSelect: PropType<import("./selectProps").SelectHandler<any, import("./selectProps").DefaultOptionType>>;
    onChange: PropType<(value: any, option: import("./selectProps").DefaultOptionType | import("./selectProps").DefaultOptionType[]) => void>;
    onDropdownVisibleChange: PropType<(visible: Boolean) => void>;
}, {
    selectorDomRef: any;
    displayValues: import("vue").ComputedRef<{
        label: any;
        value: RawValueType | undefined;
        key: Key | undefined;
        disabled: boolean | undefined;
        option: any;
    }[]>;
    dropdownVisible: import("vue").Ref<boolean>;
    renderSelectContent: () => JSX.Element;
    renderArrowIcon: () => JSX.Element;
    renderSelectorClear: () => JSX.Element | undefined;
    onToggleOpen: (open?: boolean | undefined, emitChange?: boolean) => void;
    removeChange: (val: DisplayValueType) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    children: PropType<VueNode[]>;
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultValue: import("vue-types").VueTypeValidableDef<any>;
    value: {
        type: PropType<import("./selectProps").SelectValue>;
    };
    options: {
        type: PropType<import("./selectProps").DefaultOptionType[]>;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    fieldNames: {
        type: PropType<import("./selectProps").FieldNames>;
    };
    dropdownMatchSelectWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    dropdownZindex: {
        type: NumberConstructor;
        default: number;
    };
    dropdownVisible: import("vue-types").VueTypeValidableDef<boolean>;
    dropdownClasses: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined>;
    hideOnOtherArea: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    hideOnSelect: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    getPopupContainer: {
        type: PropType<(...args: any) => any>;
    };
    maxTagCount: import("vue-types").VueTypeDef<string | number | null | undefined>;
    onSelect: PropType<import("./selectProps").SelectHandler<any, import("./selectProps").DefaultOptionType>>;
    onChange: PropType<(value: any, option: import("./selectProps").DefaultOptionType | import("./selectProps").DefaultOptionType[]) => void>;
    onDropdownVisibleChange: PropType<(visible: Boolean) => void>;
}>>, {
    size: "small" | "middle" | "large";
    multiple: boolean;
    disabled: boolean;
    prefixCls: string;
    placeholder: string;
    allowClear: boolean;
    dropdownMatchSelectWidth: boolean;
    dropdownZindex: number;
    hideOnOtherArea: boolean;
    hideOnSelect: boolean;
}>;
export default _default;
