import { Plugin } from 'vue';
import Radio from './Radio';
import RadioGroup from './RadioGroup';
export { Radio, RadioGroup };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            type: string;
            disabled: boolean;
            defaultChecked: boolean;
            uninjectGroupContext: boolean;
            allowEmpty: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            modelValue: import("vue-types").VueTypeValidableDef<any>;
            value: import("vue-types").VueTypeValidableDef<any>;
            defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            disabled: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            type: import("vue-types").VueTypeDef<string> & {
                default: string;
            };
            uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
        }>> & {
            onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
            "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "disabled" | "defaultChecked" | "uninjectGroupContext" | "allowEmpty">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: ((event: "change", value: string | number | boolean, ev: Event) => void) & ((event: "update:modelValue", value: string | number | boolean) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            modelValue: import("vue-types").VueTypeValidableDef<any>;
            value: import("vue-types").VueTypeValidableDef<any>;
            defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            disabled: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            type: import("vue-types").VueTypeDef<string> & {
                default: string;
            };
            uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
            allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            } & {
                default: boolean;
            };
        }>> & {
            onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
            "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
        }, {
            prefixCls: string;
            radioGroupCtx: import("./context").RadioGroupContext | undefined;
            classes: import("vue").ComputedRef<(string | {
                [x: string]: boolean;
            })[]>;
            inputRef: import("vue").Ref<any>;
            computedChecked: import("vue").ComputedRef<boolean>;
            mergedDisabled: import("vue").ComputedRef<boolean>;
            mergedType: import("vue").ComputedRef<string>;
            handleClick: (ev: Event) => void;
            handleChange: (ev: Event) => void;
            handleFocus: () => void;
            handleBlur: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:modelValue': (value: string | number | boolean) => true;
            change: (value: string | number | boolean, ev: Event) => true;
        }, string, {
            type: string;
            disabled: boolean;
            defaultChecked: boolean;
            uninjectGroupContext: boolean;
            allowEmpty: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        modelValue: import("vue-types").VueTypeValidableDef<any>;
        value: import("vue-types").VueTypeValidableDef<any>;
        defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        } & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        } & {
            default: boolean;
        };
        type: import("vue-types").VueTypeDef<string> & {
            default: string;
        };
        uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        } & {
            default: boolean;
        };
        allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        } & {
            default: boolean;
        };
    }>> & {
        onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
        "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        prefixCls: string;
        radioGroupCtx: import("./context").RadioGroupContext | undefined;
        classes: import("vue").ComputedRef<(string | {
            [x: string]: boolean;
        })[]>;
        inputRef: import("vue").Ref<any>;
        computedChecked: import("vue").ComputedRef<boolean>;
        mergedDisabled: import("vue").ComputedRef<boolean>;
        mergedType: import("vue").ComputedRef<string>;
        handleClick: (ev: Event) => void;
        handleChange: (ev: Event) => void;
        handleFocus: () => void;
        handleBlur: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    value: import("vue-types").VueTypeValidableDef<any>;
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>> & {
    onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
}, {
    prefixCls: string;
    radioGroupCtx: import("./context").RadioGroupContext | undefined;
    classes: import("vue").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    inputRef: import("vue").Ref<any>;
    computedChecked: import("vue").ComputedRef<boolean>;
    mergedDisabled: import("vue").ComputedRef<boolean>;
    mergedType: import("vue").ComputedRef<string>;
    handleClick: (ev: Event) => void;
    handleChange: (ev: Event) => void;
    handleFocus: () => void;
    handleBlur: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string | number | boolean) => true;
    change: (value: string | number | boolean, ev: Event) => true;
}, string, {
    type: string;
    disabled: boolean;
    defaultChecked: boolean;
    uninjectGroupContext: boolean;
    allowEmpty: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly RadioGroup: typeof RadioGroup;
};
export default _default;
