import { TreeNode } from './core/tree-node';
declare const _default: import("vue").DefineComponent<{
    node: import("vue-types").VueTypeDef<TreeNode> & {
        required: true;
    };
    renderNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    checkable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    draggable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    onSelect: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onClick: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onDblClick: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onContextmenu: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onNodeDrop: import("vue-types").VueTypeValidableDef<(ev: Event, dragNode: TreeNode, dropNode: TreeNode, extra: Record<string, any>) => void> & {
        required: true;
    };
    onNodeRename: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: string) => void> & {
        required: true;
    };
    onNodeExpanded: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: boolean) => void> & {
        required: true;
    };
    onNodeChecked: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: boolean) => void> & {
        required: true;
    };
    onNodeMouseenter: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseleave: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseover: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseout: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDragstart: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDrag: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDragend: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    renderLabel: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    renderAddonBefore: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    renderAddonAfter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    setNodesRef: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    checkedKeys: import("vue-types").VueTypeValidableDef<any>;
    selectedKey: import("vue-types").VueTypeValidableDef<any>;
    expandedKeys: import("vue-types").VueTypeValidableDef<any>;
    defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showLine: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    expandedOnIcon: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onlyExpandedTrueOnNode: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    rename: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    nodeExtraProps: import("vue-types").VueTypeValidableDef<(node: TreeNode) => any>;
    renameOptions: import("vue-types").VueTypeValidableDef<any>;
    isHidden: import("vue-types").VueTypeValidableDef<(node: TreeNode) => boolean>;
}, {
    currrentRef: import("vue").Ref<any>;
    expanded: import("vue").ComputedRef<any>;
    checked: import("vue").ComputedRef<any>;
    dropPosStatus: import("vue").Ref<import("./use/useDragoverLineheight").DropPosStatus>;
    isDraggable: import("vue").ComputedRef<boolean>;
    isDisabled: import("vue").ComputedRef<boolean>;
    onNodeClick: (ev: Event) => void;
    onNodeContextmenu: (ev: Event) => void;
    onNodeDrag: (ev: DragEvent) => void;
    onNodeDragstart: (ev: DragEvent) => void;
    onNodeDragover: (ev: DragEvent) => void;
    onNodeDragleave: (ev: DragEvent) => void;
    onNodeDragend: (ev: DragEvent) => void;
    onNodeDrop: (ev: DragEvent) => void;
    onNodeMouseenter: (ev: MouseEvent) => void;
    onNodeMouseleave: (ev: MouseEvent) => void;
    onNodeMouseover: (ev: MouseEvent) => void;
    onNodeMouseout: (ev: MouseEvent) => void;
    renderLine: (node: TreeNode) => JSX.Element | undefined;
    renderNodeIcon: () => JSX.Element;
    renderNodeCheckBox: () => JSX.Element | undefined;
    renderNodeContent: () => JSX.Element;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    node: import("vue-types").VueTypeDef<TreeNode> & {
        required: true;
    };
    renderNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    checkable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    draggable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    onSelect: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onClick: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onDblClick: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onContextmenu: import("vue-types").VueTypeValidableDef<(ev: Event, node: TreeNode) => void> & {
        required: true;
    };
    onNodeDrop: import("vue-types").VueTypeValidableDef<(ev: Event, dragNode: TreeNode, dropNode: TreeNode, extra: Record<string, any>) => void> & {
        required: true;
    };
    onNodeRename: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: string) => void> & {
        required: true;
    };
    onNodeExpanded: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: boolean) => void> & {
        required: true;
    };
    onNodeChecked: import("vue-types").VueTypeValidableDef<(node: TreeNode, val: boolean) => void> & {
        required: true;
    };
    onNodeMouseenter: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseleave: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseover: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeMouseout: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDragstart: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDrag: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    onNodeDragend: import("vue-types").VueTypeValidableDef<(ev: MouseEvent, node: TreeNode) => void>;
    renderLabel: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    renderAddonBefore: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    renderAddonAfter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    setNodesRef: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    checkedKeys: import("vue-types").VueTypeValidableDef<any>;
    selectedKey: import("vue-types").VueTypeValidableDef<any>;
    expandedKeys: import("vue-types").VueTypeValidableDef<any>;
    defaultExpandAll: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showLine: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    expandedOnIcon: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onlyExpandedTrueOnNode: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    rename: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    nodeExtraProps: import("vue-types").VueTypeValidableDef<(node: TreeNode) => any>;
    renameOptions: import("vue-types").VueTypeValidableDef<any>;
    isHidden: import("vue-types").VueTypeValidableDef<(node: TreeNode) => boolean>;
}>>, {
    prefixCls: string;
    draggable: boolean;
    rename: boolean;
    renderNode: (...args: any[]) => any;
    checkable: boolean;
    renderLabel: (...args: any[]) => any;
    renderAddonBefore: (...args: any[]) => any;
    renderAddonAfter: (...args: any[]) => any;
    setNodesRef: (...args: any[]) => any;
    defaultExpandAll: boolean;
    showLine: boolean;
    expandedOnIcon: boolean;
    onlyExpandedTrueOnNode: boolean;
}>;
export default _default;
export declare const renderChildren: (childNodes: TreeNode[], options: Record<string, any>) => JSX.Element[];
