declare const _sfc_main: import("vue").DefineComponent<{
    trigger: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    defaultVisible: import("vue-types").VueTypeValidableDef<boolean>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    placement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    transitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    animation: import("vue-types").VueTypeValidableDef<any>;
    afterVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    overlay: import("vue-types").VueTypeValidableDef<any>;
    overlayStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    overlayClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    getTooltipContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    destroyTooltipOnHide: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    align: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    arrowContent: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    tipId: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    overlayInnerStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
}, {
    triggerProps: import("vue").ComputedRef<{
        onPopupVisibleChange: unknown;
        onPopupAlign: unknown;
        ref: string;
        arrowRef: import("vue").Ref<any>;
        popupClassName: string;
        prefixCls: string;
        action: any;
        builtinPlacements: {
            left: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            right: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            top: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            topRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightTop: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomRight: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            rightBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            bottomLeft: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
            leftBottom: {
                points: string[];
                overflow: {
                    adjustX: number;
                    adjustY: number;
                };
                offset: number[];
                targetOffset: number[];
            };
        };
        popupPlacement: string;
        popupAlign: {
            [key: string]: any;
        };
        getPopupContainer: ((...args: any[]) => any) | undefined;
        afterPopupVisibleChange: ((...args: any[]) => any) | undefined;
        popupTransitionName: string | {
            [key: string]: any;
        } | null | undefined;
        popupAnimation: any;
        defaultPopupVisible: boolean | undefined;
        destroyPopupOnHide: boolean;
        mouseLeaveDelay: number;
        mouseEnterDelay: number;
        popupStyle: {
            [key: string]: any;
        };
        popupVisible: boolean | undefined;
    }>;
    triggerRef: import("vue").Ref<any>;
    arrowRef: import("vue").Ref<any>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    trigger: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    defaultVisible: import("vue-types").VueTypeValidableDef<boolean>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    placement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    transitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    animation: import("vue-types").VueTypeValidableDef<any>;
    afterVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    overlay: import("vue-types").VueTypeValidableDef<any>;
    overlayStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    overlayClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    getTooltipContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    destroyTooltipOnHide: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    align: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    arrowContent: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    tipId: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    overlayInnerStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
}>>, {
    align: {
        [key: string]: any;
    };
    prefixCls: string;
    trigger: any;
    placement: string;
    overlayClassName: string;
    overlayStyle: {
        [key: string]: any;
    };
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    builtinPlacements: {
        [key: string]: any;
    };
    afterVisibleChange: (...args: any[]) => any;
    getTooltipContainer: (...args: any[]) => any;
    destroyTooltipOnHide: boolean;
    arrowContent: any;
    tipId: string;
}>;
export default _sfc_main;
